package main

import "go.mongodb.org/mongo-driver/bson/primitive"

type Storage interface {
	CreateUser(*User) error
	GetUsers() ([]User, error)
	GetUserByName(string) (*User, error)
	GetUserByID(primitive.ObjectID) (*User, error)
	UpdateUser(*User) error
	DeleteUser(primitive.ObjectID) error

	CreateSession(*Session) error
	GetSessionByToken(string) (*Session, error)
	DeleteSession(primitive.ObjectID) error
}
